content:en_us:7_ug_php_engines

PHP Engines

This app allows you to run multiple versions of PHP in ClearOS

Installation

If you did not select this module to be included during the installation process, you must first install the module.

You can find this feature in the menu system at the following location:

<navigation>Server|Web|PHP Engines</navigation>

search?q=clearos%2C%20clearos%20content%2C%20app_php_engines%2C%20php_engines%2C%20php%2C%20web%20server%2C%20flexshare%2C%20clearos7%2C%20userguide%2C%20categoryserver%2C%20subcategoryweb%2C%20maintainer_nhowitt&amp;btnI=lucky

From here you can selectively enable and disable the required versions of PHP by clicking on the <button>View</button> button

<note>You cannot disable PHP 5.4 as this is the ClearOS default version</note>

Using the different versions of PHP

Using the different versions of PHP on your websites is controlled through the Web Server app or the Flexshare app.

content/en_us/7_ug_php_engines.txt · Last modified: 2018/06/05 09:48 by nickh

Page Tools